Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class SimpleNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode

All Implemented Interfaces:
  Node, Node

Direct Known Subclasses:
  ASTAttribute, ASTAttributeValue, ASTCData, ASTCommentTag, ASTCompilationUnit, ASTContent, ASTDeclaration, ASTDoctypeDeclaration, ASTDoctypeExternalId, ASTElement, ASTElExpression, ASTJspComment, ASTJspDeclaration, ASTJspDeclarations, ASTJspDirective, ASTJspDirectiveAttribute, ASTJspDocument, ASTJspExpression, ASTJspExpressionInAttribute, ASTJspScriptlet, ASTText, ASTUnparsedText, ASTValueBinding

public class SimpleNode
extends SimpleNode
implements Node

Field Summary
`protected JspParser` | `parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`SimpleNode(int i)`
`SimpleNode(JspParser p, int i)`

Method Summary
`java.lang.Object` | `childrenAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` | `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`java.lang.String` | `toString()`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Field Detail

### parser

    protected JspParser parser

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

### SimpleNode

    public SimpleNode(JspParser p,
                      int i)

Method Detail

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

  Specified by:
    `jjtOpen` in interface `Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `Node`
  This method is called after all the child nodes have been added.

  Specified by:
    `jjtClose` in interface `Node`

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `Node`

### childrenAccept

    public java.lang.Object childrenAccept(JspParserVisitor visitor,
                                           java.lang.Object data)

  Accept the visitor. *

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.